package com.bonus.material.scrap.service;

import com.bonus.material.scrap.domain.ScrapReason;

import java.util.List;

/**
 * 报废原因管理Service接口
 * 
 * @author hongchao
 * @date 2025-01-07
 */
public interface IScrapReasonService {

    /**
     * 查询二级类型下拉框列表
     *
     * @param scrapReason 查询二级类型下拉框列表
     * @return 查询二级类型下拉框列表
     */
    List<ScrapReason> levelTwolist(ScrapReason scrapReason);

    /**
     * 查询三级类型下拉框列表
     *
     * @param scrapReason 查询三级类型下拉框列表
     * @return 查询三级类型下拉框列表
     */
    List<ScrapReason> levelThreelist(ScrapReason scrapReason);

    /**
     * 查询报废原因
     * 
     * @param scrapReason 报废原因管理
     * @return 报废原因管理
     */
     List<ScrapReason> selectScrapReasonList(ScrapReason scrapReason);

    /**
     * 获取报废原因管理详细信息
     * @param id
     * @return
     */
    ScrapReason selectScrapReasonById(Long id);
    /**
     * 新增报废原因
     *
     * @param scrapReason 新增报废原因
     * @return 结果
     */
     int insertScrapReasonInfo(ScrapReason scrapReason);

    /**
     * 修改报废原因
     *
     * @param scrapReason 修改报废原因
     * @return 结果
     */
     int updateScrapReasonInfo(ScrapReason scrapReason);


    /**
     * 删除报废原因
     *
     * @param scrapReason 删除报废原因
     * @return 结果
     */
     int deleteScrapReasonInfo(ScrapReason scrapReason);

    /**
     * 查询报废原因下拉列表 app用
     * @param scrapReason
     * @return
     */
    List<ScrapReason> getList(ScrapReason scrapReason);
}
